#!/bin/bash

PRT_INTVL=${PRT_INTVL:-10}

DIR=$1
MAX_FILES=$2

concat(){
    cat "$DIR/$file" >> "$DIR/$new_file"
    cat "$DIR/$file/$file/$file" >> "$DIR/$new_file"
    #echo -n "C"
}

cleanup() {
	echo "concat $COUNT ops"
}

trap cleanup EXIT

LAST_TIME=$SECONDS
COUNT=0
LAST_COUNT=0
while /bin/true ; do 
    file=$((RANDOM % MAX_FILES))
    new_file=$((RANDOM % MAX_FILES))
    concat 2> /dev/null
    COUNT=$((COUNT + 2))
    if [ $((SECONDS - LAST_TIME)) -gt $PRT_INTVL -o $LAST_COUNT -gt 1000 ]; then
    	echo "concat $COUNT ops"
    	LAST_COUNT=0
	LAST_TIME=$SECONDS
    fi
done
