#!/bin/bash

PRT_INTVL=${PRT_INTVL:-10}

DIR=$1
MAX_FILES=$2

cleanup() {
	echo "ls -R $COUNT ops"
}

trap cleanup EXIT

LAST_TIME=$SECONDS
COUNT=0
LAST_COUNT=0
while /bin/true ; do 
    ls -R "$DIR/" > /dev/null 2> /dev/null &
    #echo -n "L"

    wait
    sleep 1
    COUNT=$((COUNT + 1))
    if [ $((SECONDS - LAST_TIME)) -gt $PRT_INTVL -o $LAST_COUNT -gt 20 ]; then
    	echo "ls -R $COUNT ops"
    	LAST_COUNT=0
	LAST_TIME=$SECONDS
    fi
done
