#!/bin/bash

PRT_INTVL=${PRT_INTVL:-10}

DIR=$1
MAX_FILES=$2

cleanup() {
	echo "rename $COUNT ops"
}

trap cleanup EXIT

LAST_TIME=$SECONDS
COUNT=0
LAST_COUNT=0
while /bin/true ; do 
    file=$((RANDOM % MAX_FILES))
    new_file=$((RANDOM % MAX_FILES))
    mv "$DIR/$file" "$DIR/$new_file" 2> /dev/null
    #echo -n "n"
    COUNT=$((COUNT + 1))
    if [ $((SECONDS - LAST_TIME)) -gt $PRT_INTVL -o $LAST_COUNT -gt 1000 ]; then
    	echo "rename $COUNT ops"
    	LAST_COUNT=0
	LAST_TIME=$SECONDS
    fi
done
