#!/bin/bash

PRT_INTVL=${PRT_INTVL:-10}

DIR=$1
MAX_FILES=$2

cleanup() {
	echo "rm -r $COUNT ops"
}

trap cleanup EXIT

LAST_TIME=$SECONDS
COUNT=0
LAST_COUNT=0
while /bin/true ; do 
    file=$((RANDOM % MAX_FILES))
    rm -rf "$DIR/$file" 2> /dev/null
    #echo -n "u"
    sleep 1
    COUNT=$((COUNT + 1))
    if [ $((SECONDS - LAST_TIME)) -gt $PRT_INTVL -o $LAST_COUNT -gt 20 ]; then
    	echo "rm -r $COUNT ops"
    	LAST_COUNT=0
	LAST_TIME=$SECONDS
    fi
done
